Skip to content
Start here

Create new job

client.aiSearch.instances.jobs.create(stringid, JobCreateParams { account_id, description } params, RequestOptionsoptions?): JobCreateResponse { id, source, description, 4 more }
POST/accounts/{account_id}/ai-search/instances/{id}/jobs

Creates a new indexing job for an AI Search instance.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
id: string

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
params: JobCreateParams { account_id, description }
account_id: string

Path param

description?: string

Body param

maxLength255
ReturnsExpand Collapse
JobCreateResponse { id, source, description, 4 more }
id: string
source: "user" | "schedule"
One of the following:
"user"
"schedule"
description?: string
end_reason?: string
ended_at?: string
last_seen_at?: string
started_at?: string

Create new job

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const job = await client.aiSearch.instances.jobs.create('my-ai-search', {
  account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22',
});

console.log(job.id);
{
  "result": {
    "id": "id",
    "source": "user",
    "description": "description",
    "end_reason": "end_reason",
    "ended_at": "ended_at",
    "last_seen_at": "last_seen_at",
    "started_at": "started_at"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "source": "user",
    "description": "description",
    "end_reason": "end_reason",
    "ended_at": "ended_at",
    "last_seen_at": "last_seen_at",
    "started_at": "started_at"
  },
  "success": true
}